# log4cplus::helpers::LogLog Class Reference

This class used to output log statements from within the log4cplus package. More...

`#include <loglog.h>`

Inheritance diagram for log4cplus::helpers::LogLog:

[legend]
Collaboration diagram for log4cplus::helpers::LogLog:

[legend]
List of all members.

## Public Member Functions

void | setInternalDebugging (bool enabled)
| Allows to enable/disable log4cplus internal logging.
void | setQuietMode (bool quietMode)
| In quite mode no LogLog generates strictly no output, not even for errors.
void | debug (const log4cplus::tstring &msg)
| This method is used to output log4cplus internal debug statements.
void | error (const log4cplus::tstring &msg)
| This method is used to output log4cplus internal error statements.
void | warn (const log4cplus::tstring &msg)
| This method is used to output log4cplus internal warning statements.
virtual | ~LogLog ()

## Static Public Member Functions

log4cplus::helpers::SharedObjectPtr< LogLog > | getLogLog ()
| Returns a reference to the `LogLog` singleton.

## Public Attributes

LOG4CPLUS_MUTEX_PTR_DECLARE | mutex

## Detailed Description

This class used to output log statements from within the log4cplus package.

Log4cplus components cannot make log4cplus logging calls. However, it is sometimes useful for the user to learn about what log4cplus is doing. You can enable log4cplus internal logging by defining the log4cplus.configDebug variable.

All log4cplus internal debug calls go to `cout` where as internal error messages are sent to `cerr`. All internal messages are prepended with the string "log4clus: ".

Definition at line 41 of file loglog.h.

## Constructor & Destructor Documentation

virtual log4cplus::helpers::LogLog::~LogLog | ( |  | ) | `[virtual]`

## Member Function Documentation

void log4cplus::helpers::LogLog::debug | ( | const log4cplus::tstring & | msg | ) |

| This method is used to output log4cplus internal debug statements. Output goes to `std::cout`.

void log4cplus::helpers::LogLog::error | ( | const log4cplus::tstring & | msg | ) |

| This method is used to output log4cplus internal error statements. There is no way to disable error statements. Output goes to `std::cerr`.

log4cplus::helpers::SharedObjectPtr<LogLog> log4cplus::helpers::LogLog::getLogLog | ( |  | ) | `[static]`

| Returns a reference to the `LogLog` singleton.

void log4cplus::helpers::LogLog::setInternalDebugging | ( | bool | enabled | ) |

| Allows to enable/disable log4cplus internal logging.

void log4cplus::helpers::LogLog::setQuietMode | ( | bool | quietMode | ) |

In quite mode no LogLog generates strictly no output, not even for errors.

Parameters:

  quietMode | A true for not

void log4cplus::helpers::LogLog::warn | ( | const log4cplus::tstring & | msg | ) |

| This method is used to output log4cplus internal warning statements. There is no way to disable warning statements. Output goes to `std::cerr`.

## Member Data Documentation

LOG4CPLUS_MUTEX_PTR_DECLARE log4cplus::helpers::LogLog::mutex

| Definition at line 87 of file loglog.h.

The documentation for this class was generated from the following file:

- loglog.h